/**
This file is part of a project licensed under the GNU General Public License v3.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

<template>
  <b-field class="has-background-white" style="flex-direction: column;">
    <p class="control">
      <b-tooltip position="is-left" label="Increase zoom level">
        <b-button @click="increaseZoom">
          <b-icon icon="plus"></b-icon>
        </b-button>
      </b-tooltip>
    </p>
    <p class="control">
      <b-tooltip position="is-left" label="Decrease zoom level">
        <b-button @click="decreaseZoom">
          <b-icon icon="minus"></b-icon>
        </b-button>
      </b-tooltip>
    </p>
    <p class="control">
      <b-tooltip position="is-left" label="Fit to width">
        <b-button @click="fitToWidth">
          <b-icon  icon="compress"></b-icon>
        </b-button>
      </b-tooltip>
    </p>
    <p class="control">
      <b-tooltip position="is-left" label="Fullscreen">
        <b-button @click="fullscreen">
          <b-icon  icon="expand"></b-icon>
        </b-button>
      </b-tooltip>
    </p>
  </b-field>
</template>
<style >
.field.has-addons {
	display: flex;
  justify-content: flex-start;
	flex-direction: column;
}

</style>

<script>

export default {
  methods: {
    increaseZoom() {
      this.$emit("input", { type: "zoom", delta: 1 });
    },
    decreaseZoom() {
      this.$emit("input", { type: "zoom", delta: -1 });
    },
    home() {
      this.$emit("input", { type: "home" });
    },
    fitToWidth() {
      this.$emit("input", { type: "fit" });
    },
    fullscreen() {
      this.$fullscreen.toggle();
    },
  },
};
</script>
